<?php
require_once "inc/usuarios_unidades.php";

date_default_timezone_set('America/Sao_Paulo');

if(!isset($_SESSION)) {
  session_start();
}


if ($_SERVER['REQUEST_METHOD'] == 'POST') {
  require_once 'inc/usuarios_unidades.php';
  // $redirect = 'erpc_usuarios_unidades_list.php';
  $redirect = 'erpc_usuarios_unidades_list.php';
  $usuarios_unidades = ler_usuarios_unidades();

  /*
   capturando o usuário e unidade logado
  $usuario_pedido = getLoggedUser();
  $usuarios_unidades['id_usuario']=$usuario_pedido['id'];
  $usuarios_unidades['id_unidade']=$usuario_pedido['unidade'];

  */

  if (isset($_POST['btn-add'])) {
    $ok = usuarios_unidades_insert($usuarios_unidades);
    if ($ok === false) {
      $redirect = 'erpc_usuarios_unidades_list.php';
    }
  } else if (isset($_POST['btn-edit'])) {
    $ok = usuarios_unidades_update($usuarios_unidades);
    if ($ok === false) {
      $redirect = 'erpc_usuarios_unidades_edit.php?id=' . urlencode(base64_encode($usuarios_unidades['id']));
    }
  } else if (isset($_POST['btn-remove'])) {
    $ok = usuarios_unidades_delete($usuarios_unidades);
    if ($ok === false) {
      $redirect = 'erpc_usuarios_unidades_remove.php?id=' . urlencode(base64_encode($usuarios_unidades['id']));
    }
  }
  header("Location:$redirect");
  exit;
}

function ler_usuarios_unidades() {
  date_default_timezone_get('America/Sao_Paulo');
  $usuarios_unidades = usuarios_unidades_create();

  if (isset($_POST['usuarios_unidades'])) {
    $usuarios_unidades = array_replace_recursive($usuarios_unidades, $_POST['usuarios_unidades']);
  }


  foreach($usuarios_unidades as $k => $v) {
    $usuarios_unidades[$k] = sgcws_sanitize_field($k, $v);

    //  echo "<br> $key ==> $v";
  }

  $itens = $usuarios_unidades['itens'];
  foreach($itens as $i => $item) {
    foreach($item as $k => $v) {
      $item[$k] = sgcws_sanitize_field($k, $v);
    }
    $itens[$i] = $item;
  }
  $usuarios_unidades['itens'] = $itens;

return $usuarios_unidades;
}
